seo:
  title: What happened at the Q4'2020 GitLab Hackathon
  description: >-
    Here's a recap of GitLab community accomplishments during the Hackathon on
    Jan 6-7th of 2021.
  ogTitle: What happened at the Q4'2020 GitLab Hackathon
  ogDescription: >-
    Here's a recap of GitLab community accomplishments during the Hackathon on
    Jan 6-7th of 2021.
  noIndex: false
  ogImage: images/blog/hero-images/2018-09-13-gitlab-hackathon-cover.jpg
  ogUrl: https://about.gitlab.com/blog/q42020-hackathon-recap
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: https://about.gitlab.com/blog/q42020-hackathon-recap
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "What happened at the Q4'2020 GitLab Hackathon",
            "author": [{"@type":"Person","name":"Christos Bacharakis"}],
            "datePublished": "2021-02-08",
          }

content:
  title: What happened at the Q4'2020 GitLab Hackathon
  description: >-
    Here's a recap of GitLab community accomplishments during the Hackathon on
    Jan 6-7th of 2021.
  authors:
    - Christos Bacharakis
  heroImage: images/blog/hero-images/2018-09-13-gitlab-hackathon-cover.jpg
  date: '2021-02-08'
  body: >


    {::options parse_block_html="true" /}





    <i class="fab fa-gitlab" style="color:rgb(107,79,187); font-size:.85em"
    aria-hidden="true"></i>&nbsp;&nbsp;

    Disclaimer: Due to a [bug in our metrics
    platform](https://gitlab.com/gitlab-com/marketing/community-relations/contributor-program/general/-/issues/59),
    that was identified a month after the release of this blogpost, we updated
    the post with accurate information about the number of MRs submitted, MRs
    merged, and the winners. In addition, we are not going to take into account
    the 15th of January as the date the MRs had to be merged to qualify, since
    we noticed a significant amount of delays in reviewing the MRs.

    &nbsp;&nbsp;<i class="fab fa-gitlab" style="color:rgb(107,79,187);
    font-size:.85em" aria-hidden="true"></i>

    {: .alert .alert-webcast}


    Another GitLab hackathon is completed, and I would like to begin by
    celebrating our community contributions! Congratulations to everyone who
    participated and contributed to GitLab.


    This time, participants managed to land 167 Merge Request, where 139 (83%)
    of them have already been merged across eight projects such as: GitLab,
    Omnibus, GitLab Development Kit, CNG, Runner and more.


    ![Hackathon
    playlist](https://about.gitlab.com/images/blogimages/Hackathon_playlist.png){:
    .shadow.medium.center}


    During the Hackathon, a number of GitLab Team members ran a series of
    tutorial sessions around various GitLab Products, stages and groups like
    Runner, Release Stage, GitLab Pajamas, and Package Group. All of these
    sessions that are a resource for future contributions were recorded and can
    be found on our [YouTube
    Channel](https://www.youtube.com/playlist?list=PL05JrBw4t0KrqGydhkV_BUPrI-DBiDKfm).


    Something unique about this Hackathon is that it happened two times.
    Originally it was scheduled to take place in December, around the time my
    onboarding was going to be completed; thus, we had to move it to the
    beginning of January. Our Tokyo community had already made arrangements for
    these dates, and with the lead of our Core Team member [Takuya
    Noguchi](https://gitlab.com/tnir), they successfully organized a [regional
    GitLab hackathon](https://gitlab-jp.connpass.com/event/189496/). 



    ## Hackathon prizes


    Like past events, everyone who had MRs merged will receive a token of our
    appreciation for their contribution. This time, [thirty seven
    people](https://gitlab.biterg.io/goto/2c0b5d1d60893bcec44dbfd11a16d947) had
    their MRs merged, where three of them had more than 10 MRs merged, which
    will receive the Second Prize.


    The grand prize will go to both [Kev](https://gitlab.com/KevSlashNull) and
    [Jonston Chan](https://gitlab.com/JonstonChan) who had the highest number of
    merged MRs.


    Below is a list of the top five contributors for this Hackathon, and all the
    MRs in the [Winder Community Hackathon MRs
    issue](https://gitlab.com/gitlab-com/marketing/community-relations/contributor-program/hackathon/-/issues/44#related-merge-requests).


    - Grand Prize: [Kev](https://gitlab.com/KevSlashNull), with 31 MRs merged

    - Grand Prize: [Jonston Chan](https://gitlab.com/JonstonChan), with 30 MRs
    merged

    - Second Prize: [Yogi](https://gitlab.com/yo), with 16 MRs merged

    - Second Prize: [Takuya Noguchi](https://gitlab.com/tnir), with 12 MRs
    merged

    - Second Prize: [Marvin Karegyeya](https://gitlab.com/nuwe1), with 10 MRs
    merged



    ![Hackathon
    playlist](https://about.gitlab.com/images/blogimages/q4-hackathon-details.png){:
    .shadow.medium.center}


    ## When is the next Hackathon?


    The next Hackathon will occur on March 31st - April 1st, 2021 (yes, it's
    true!), and all the necessary information will be posted on the [Hackathon
    page by March 1st](/community/hackathon/).


    ## How do I get started with contributing?


    A good place to start is the [Contributing to GitLab
    page](/community/contribute/), where you can learn how you can

    contribute to GitLab code, documentation, translation, and UX design.


    If you have any questions, you are always welcome to reach me at
    cbacharakis@gitlab.com.


    ["GitLab application screengrab"](https://unsplash.com/photos/ZV_64LdGoao)
    by [Pankaj Patel](https://unsplash.com/@pankajpatel) on Unsplash

    {: .note}
  category: Open Source
  tags:
    - community
    - collaboration
    - open source
config:
  slug: q42020-hackathon-recap
  featured: false
  template: BlogPost
